SettingsFile (Grails 5.1.2)

Package: grails.boot.config.tools

## [Groovy] Class SettingsFile

- grails.boot.config.tools.SettingsFile

-     @groovy.transform.CompileStatic
      abstract class SettingsFile
      extends groovy.lang.Script

  Used to interpret the Gradle settings.gradle file

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SettingsFile ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `include(java.lang.String[] projectPaths)`
    `` | `void` | `includeFlat(java.lang.String[] projectPaths)`
    `` | `java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
    `` | `java.lang.Object` | `propertyMissing(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.Script` | `groovy.lang.Script#evaluate(java.io.File), groovy.lang.Script#evaluate(java.lang.String), groovy.lang.Script#getBinding(), groovy.lang.Script#setBinding(groovy.lang.Binding), groovy.lang.Script#println(), groovy.lang.Script#println(java.lang.Object), groovy.lang.Script#run(java.io.File, [Ljava.lang.String;), groovy.lang.Script#run(), groovy.lang.Script#setProperty(java.lang.String, java.lang.Object), groovy.lang.Script#getProperty(java.lang.String), groovy.lang.Script#print(java.lang.Object), groovy.lang.Script#printf(java.lang.String, java.lang.Object), groovy.lang.Script#printf(java.lang.String, [Ljava.lang.Object;), groovy.lang.Script#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Script#getMetaClass(), groovy.lang.Script#setMetaClass(groovy.lang.MetaClass), groovy.lang.Script#wait(long, int), groovy.lang.Script#wait(long), groovy.lang.Script#wait(), groovy.lang.Script#equals(java.lang.Object), groovy.lang.Script#toString(), groovy.lang.Script#hashCode(), groovy.lang.Script#getClass(), groovy.lang.Script#notify(), groovy.lang.Script#notifyAll()`

- - ### Constructor Detail

    - #### SettingsFile()

  - ### Method Detail

    - #### void include(java.lang.String[] projectPaths)

    - #### void includeFlat(java.lang.String[] projectPaths)

    - #### java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

    - #### java.lang.Object propertyMissing(java.lang.String name)